CWGraphInternal::Group::LinkedZones Struct Reference

a small class of Group used to store a list a set of text zone More...

## Public Member Functions

| LinkedZones (int frameId)
| constructor More...

## Public Attributes

int | m_frameId
| the frame basic id More...
std::map< int, size_t > | m_mapIdChild
| map zoneId -> group child More...

## Detailed Description

a small class of Group used to store a list a set of text zone

## Constructor & Destructor Documentation

CWGraphInternal::Group::LinkedZones::LinkedZones | ( | int | frameId | ) |

inline

constructor

## Member Data Documentation

int CWGraphInternal::Group::LinkedZones::m_frameId

the frame basic id

std::map<int, size_t> CWGraphInternal::Group::LinkedZones::m_mapIdChild

map zoneId -> group child

Referenced by CWGraphInternal::Group::needSendFrameContent(), and CWGraph::updateInformation().

The documentation for this struct was generated from the following file:

- CWGraph.cxx